ros-humble-moveit-ros-control-interface (2.5.9-1jammy) jammy; urgency=high

  * SERVICE_CALL_TIMEOUT = 1 second is harsh 🥵 (#3382 <https://github.com/ros-planning/moveit2/issues/3382>) (#3406 <https://github.com/ros-planning/moveit2/issues/3406>)
  * Add logic to Ros2ControlManager to match ros2_control (backport #3332 <https://github.com/ros-planning/moveit2/issues/3332>) (#3342 <https://github.com/ros-planning/moveit2/issues/3342>)
  * Contributors: Paul Gesel, Sebastian Castro, Yoan Mollard

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 15 Apr 2025 04:00:00 -0000

ros-humble-moveit-ros-control-interface (2.5.8-1jammy) jammy; urgency=high

  * Fix Ros2ControlManager chained controller logic (#3301 <https://github.com/ros-planning/moveit2/issues/3301>) (#3306 <https://github.com/ros-planning/moveit2/issues/3306>)
  * Update controller_manager_plugin.cpp (backport #3179 <https://github.com/ros-planning/moveit2/issues/3179>) (#3235 <https://github.com/ros-planning/moveit2/issues/3235>)
    * Fixing the bug where the namespace is not properly applied when using Ros2ControlMultiManager
  * Contributors: Paul Gesel, Seohyeon Ryu, mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 09 Feb 2025 05:00:00 -0000

ros-humble-moveit-ros-control-interface (2.5.7-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 29 Dec 2024 05:00:00 -0000

ros-humble-moveit-ros-control-interface (2.5.6-1jammy) jammy; urgency=high

  * Use the non-deprecated service fields for switching controllers (#2927 <https://github.com/ros-planning/moveit2/issues/2927>)
  * Contributors: Sai Kishor Kothakota

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 17 Nov 2024 05:00:00 -0000

ros-humble-moveit-ros-control-interface (2.5.5-1jammy) jammy; urgency=high

  * Fix parameters for ros2_control namespaces (#1833 <https://github.com/ros-planning/moveit2/issues/1833>) (#1897 <https://github.com/ros-planning/moveit2/issues/1897>)
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    (cherry picked from commit 5838ce890975e3a058cdc9ab699b27941374c3a2)
    Co-authored-by: Pablo Iñigo Blasco <mailto:pablo.inigo.blasco@gmail.com>
  * Contributors: mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 10 Sep 2023 04:00:00 -0000

ros-humble-moveit-ros-control-interface (2.5.4-1jammy) jammy; urgency=high

  * Rename MoveItControllerManager. Add deprecation warning (#1601 <https://github.com/ros-planning/moveit2/issues/1601>) (#1666 <https://github.com/ros-planning/moveit2/issues/1666>)
    (cherry picked from commit b050890a2632a723dd95c08542ef6ed57d77fb06)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Support chained controllers (backport #1482 <https://github.com/ros-planning/moveit2/issues/1482>) (#1623 <https://github.com/ros-planning/moveit2/issues/1623>)
    (cherry picked from commit 3db960a4b3b1e1d25630867a62ea1182bac2e96a)
    Co-authored-by: Paul Gesel <mailto:paulgesel@gmail.com>
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 04 Nov 2022 04:00:00 -0000

ros-humble-moveit-ros-control-interface (2.5.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 28 Jul 2022 04:00:00 -0000

ros-humble-moveit-ros-control-interface (2.5.2-1jammy) jammy; urgency=high

  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Contributors: Jafar

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 18 Jul 2022 04:00:00 -0000

ros-humble-moveit-ros-control-interface (2.5.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 31 May 2022 04:00:00 -0000

ros-humble-moveit-ros-control-interface (2.5.0-1jammy) jammy; urgency=high

  * Enable cppcheck (#1224 <https://github.com/ros-planning/moveit2/issues/1224>)
    Co-authored-by: jeoseo <mailto:jeongwooseo2012@gmail.com>
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * 1.1.9
  * 1.1.8
  * 1.1.7
  * 1.1.6
  * Contributors: Jafar, Robert Haschke, jeoseo

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 26 May 2022 04:00:00 -0000

ros-humble-moveit-ros-control-interface (2.4.0-1jammy) jammy; urgency=high

  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 05:00:00 -0000

ros-humble-moveit-ros-control-interface (2.3.2-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 05:00:00 -0000

ros-humble-moveit-ros-control-interface (2.3.1-1jammy) jammy; urgency=high

  * Fix installation of moveit_ros_control_interface header files (#789 <https://github.com/ros-planning/moveit2/issues/789>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Update controller_manager_plugin to fix MoveIt-managed controller switching (#785 <https://github.com/ros-planning/moveit2/issues/785>)
  * moveit_ros_control_interface: Small comment cleanup (#754 <https://github.com/ros-planning/moveit2/issues/754>)
  * Contributors: AndyZe, Dave Coleman, Henning Kayser, Joseph Schornak, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 05:00:00 -0000

ros-humble-moveit-ros-control-interface (2.3.0-1jammy) jammy; urgency=high

  * moveit_ros_control_interface: Fix dangling reference (#710 <https://github.com/ros-planning/moveit2/issues/710>)
  * Port moveit ros control interface to ROS2 (#545 <https://github.com/ros-planning/moveit2/issues/545>)
    * Port moveit_ros_control_interface to ROS2
    * Multiple fixes to trajectory_execution_manager
  * Fix reversed check in switchControllers (#2726 <https://github.com/ros-planning/moveit2/issues/2726>)
  * Contributors: Jafar Abdi, Nathan Brooks, Joe Schornak, Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 08 Oct 2021 04:00:00 -0000

ros-humble-moveit-ros-control-interface (2.2.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Jul 2021 04:00:00 -0000

ros-humble-moveit-ros-control-interface (1.1.1-1jammy) jammy; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 13 Oct 2020 04:00:00 -0000

ros-humble-moveit-ros-control-interface (1.1.0-1jammy) jammy; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Remove support for Indigo's ros_control (#2128 <https://github.com/ros-planning/moveit/issues/2128>)
  * [feature] Add support for pos_vel_controllers and pos_vel_acc_controllers (#1806 <https://github.com/ros-planning/moveit/issues/1806>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint] clang-tidy-fix modernize-loop-convert to entire code base (#1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Dave Coleman, Henning Kayser, Jonathan Binney, Robert Haschke, Sandro Magalhães, Sean Yen, Tyler Weaver, Yu, Yan

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 04 Sep 2020 04:00:00 -0000

ros-humble-moveit-ros-control-interface (1.0.6-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 19 Aug 2020 04:00:00 -0000

ros-humble-moveit-ros-control-interface (1.0.5-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 08 Jul 2020 04:00:00 -0000

ros-humble-moveit-ros-control-interface (1.0.4-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 30 May 2020 04:00:00 -0000

ros-humble-moveit-ros-control-interface (1.0.3-1jammy) jammy; urgency=high

  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [feature] Add support for pos_vel_controllers and pos_vel_acc_controllers (#1806 <https://github.com/ros-planning/moveit/issues/1806>)
  * Contributors: Robert Haschke, Sandro Magalhães, Sean Yen

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 26 Apr 2020 04:00:00 -0000

ros-humble-moveit-ros-control-interface (1.0.2-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 28 Jun 2019 04:00:00 -0000

ros-humble-moveit-ros-control-interface (1.0.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 08 Mar 2019 05:00:00 -0000

ros-humble-moveit-ros-control-interface (1.0.0-1jammy) jammy; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 24 Feb 2019 05:00:00 -0000

ros-humble-moveit-ros-control-interface (0.10.8-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 24 Dec 2018 05:00:00 -0000

ros-humble-moveit-ros-control-interface (0.10.7-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 13 Dec 2018 05:00:00 -0000

ros-humble-moveit-ros-control-interface (0.10.6-1jammy) jammy; urgency=high

  * [maintenance] Code Cleanup (#1196 <https://github.com/ros-planning/moveit/issues/1196>)
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 09 Dec 2018 05:00:00 -0000

ros-humble-moveit-ros-control-interface (0.10.5-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 01 Nov 2018 04:00:00 -0000

ros-humble-moveit-ros-control-interface (0.10.4-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 29 Oct 2018 04:00:00 -0000

ros-humble-moveit-ros-control-interface (0.10.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 29 Oct 2018 04:00:00 -0000

ros-humble-moveit-ros-control-interface (0.10.2-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 24 Oct 2018 04:00:00 -0000

ros-humble-moveit-ros-control-interface (0.10.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 25 May 2018 04:00:00 -0000

ros-humble-moveit-ros-control-interface (0.9.11-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 25 Dec 2017 05:00:00 -0000

ros-humble-moveit-ros-control-interface (0.9.10-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Dec 2017 05:00:00 -0000

ros-humble-moveit-ros-control-interface (0.9.9-1jammy) jammy; urgency=high

  * [improve] add backward compatibility patch for indigo (#551 <https://github.com/ros-planning/moveit/issues/551>)
  * Contributors: Michael Görner

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 06 Aug 2017 04:00:00 -0000

ros-humble-moveit-ros-control-interface (0.9.8-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 21 Jun 2017 04:00:00 -0000

ros-humble-moveit-ros-control-interface (0.9.7-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 05 Jun 2017 04:00:00 -0000

ros-humble-moveit-ros-control-interface (0.9.6-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 12 Apr 2017 04:00:00 -0000

ros-humble-moveit-ros-control-interface (0.9.5-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 08 Mar 2017 05:00:00 -0000

ros-humble-moveit-ros-control-interface (0.9.4-1jammy) jammy; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman, Michael Goerner

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 06 Feb 2017 05:00:00 -0000

ros-humble-moveit-ros-control-interface (0.9.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 16 Nov 2016 05:00:00 -0000

ros-humble-moveit-ros-control-interface (0.5.7-1jammy) jammy; urgency=high

  * C++03 conforming nested templates
  * fixed typo, added example config
  * added brief decription tags
  * formatted code to roscpp style
  * improved documentation
  * introduced getAbsName
  * Added missing lock
  * pre-allocate handles
  * fixed typos
  * set version to match the others
  * fixed a lot of typos
  * Intitial version of moveit_ros_control_interface package
  * Contributors: Mathias Luedtke

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 30 Jan 2016 05:00:00 -0000


